Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- z
- ~

### - h -

- h() : Botan::XMSS_Hash
- h_msg() : Botan::XMSS_Hash
- h_msg_final() : Botan::XMSS_Hash
- h_msg_init() : Botan::XMSS_Hash
- h_msg_update() : Botan::XMSS_Hash
- handle() : Botan::PKCS11::Object , Botan::PKCS11::Session , Botan::TPM_Context , Botan::TPM_PrivateKey
- handshake_complete() : Botan::TLS::Blocking_Client
- Handshake_IO() : Botan::TLS::Handshake_IO
- handshake_io() : Botan::TLS::Handshake_State
- Handshake_State() : Botan::TLS::Handshake_State
- has() : Botan::TLS::Extensions
- has_constraints() : Botan::X509_Certificate
- has_cpuid_bit() : Botan::CPUID
- has_ex_constraint() : Botan::X509_Certificate
- has_items() : Botan::AlternativeName
- has_prefix() : Botan::PK_Ops::Signature_with_EMSA , Botan::PK_Ops::Verification_with_EMSA
- has_remaining() : Botan::TLS::TLS_Data_Reader
- has_simd_32() : Botan::CPUID
- has_value() : Botan::Data_Store
- hash() : Botan::TLS::Handshake_State
- hash_algo_code() : Botan::TLS::Signature_Algorithms
- hash_algo_name() : Botan::TLS::Signature_Algorithms
- hash_block_size() : Botan::Blake2b , Botan::Comb4P , Botan::GOST_34_11 , Botan::HashFunction , Botan::Keccak_1600 , Botan::MDx_HashFunction , Botan::SHA_3 , Botan::SHAKE_128 , Botan::SHAKE_256 , Botan::Skein_512
- Hash_Filter() : Botan::Hash_Filter
- hash_for_signature() : Botan::PK_Ops::Signature_with_EMSA , Botan::PK_Ops::Verification_with_EMSA
- hash_function_name() : Botan::XMSS_Parameters , Botan::XMSS_WOTS_Parameters
- hash_output_length() : Botan::EMSA1
- hash_used_for_signature() : Botan::X509_Object
- headers() : Botan::HTTP::Response
- Hello_Request() : Botan::TLS::Hello_Request
- hello_verify_request() : Botan::TLS::Handshake_State
- Hello_Verify_Request() : Botan::TLS::Hello_Verify_Request
- Hex_Decoder() : Botan::Hex_Decoder
- Hex_Encoder() : Botan::Hex_Encoder
- hi() : Botan::donna128
- hide_unknown_users() : Botan::TLS::Policy , Botan::TLS::Text_Policy
- HKDF() : Botan::HKDF
- HKDF_Expand() : Botan::HKDF_Expand
- HKDF_Extract() : Botan::HKDF_Extract
- HMAC() : Botan::HMAC
- HMAC_DRBG() : Botan::HMAC_DRBG
- host_name() : Botan::TLS::Server_Name_Indicator
- hostname() : Botan::TLS::Client_Hello::Settings , Botan::TLS::Server_Information
- HTTP_Error() : Botan::HTTP::HTTP_Error